Filter
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.graphtools.core.filters
Class Filter

    java.lang.Object
      org.gcube.contentmanagement.graphtools.core.filters.Filter

    public class Filter

extends java.lang.Object

Constructor Summary
`Filter(java.lang.String first, java.lang.String second)`
`Filter(java.lang.String first, java.lang.String second, java.lang.String operator)`

Method Summary
`java.lang.String` | `getFirstElement()`
`double` | `getFirstNumber()`
`java.lang.String` | `getSecondElement()`
`double` | `getSecondNumber()`
`void` | `setFirstElement(java.lang.String first)`
`void` | `setOperator(java.lang.String oper)`
`void` | `setSecondElement(java.lang.String second)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String logicoperator)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Filter

    public Filter(java.lang.String first,
                  java.lang.String second,
                  java.lang.String operator)

### Filter

    public Filter(java.lang.String first,
                  java.lang.String second)

Method Detail

### setFirstElement

    public void setFirstElement(java.lang.String first)

### setSecondElement

    public void setSecondElement(java.lang.String second)

### setOperator

    public void setOperator(java.lang.String oper)

### getFirstNumber

    public double getFirstNumber()

### getSecondNumber

    public double getSecondNumber()

### getFirstElement

    public java.lang.String getFirstElement()

### getSecondElement

    public java.lang.String getSecondElement()

### toString

    public java.lang.String toString(java.lang.String logicoperator)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD